package model.diff;

public class Main {
	

	/**
	 * @param args
	 * @throws CoreException 
	 * @throws IOException 
	 * @throws SVNException 
	 * @throws Exception 
	 */
	
	public static void main(String[] args) throws Exception{
		
		String srcDir1 = "example/version1";
		String srcDir2 = "example/version2";
		
		SourceDiff srcDiff = new SourceDiff();
		
		// Set the diff to be done for containment, inheritance, and usage
		srcDiff.setFullDiff();
		
		/* You can either specify to perform diff for a separate design aspect, e.g. 
		 * containment only
		 */
		//srcDiff.setDiffConfiguration(true, false, false, false);
		
		/* Provide the class name to diff (if known), and the directories where the source code  
		 * of each version of the system can be found
		*/
		
		System.out.println(srcDiff.diff("", srcDir1, srcDir2));
	}
		
}
		
