package model.diff;

import gr.uom.java.xmi.UMLModel;

import java.io.File;
import java.util.List;

public class ModelDiff {
	protected List<String> classesList;
	protected UMLModel model1 , model2;
	protected File config_directory;
	protected String config_path ="";
	
	ModelDiff(String cpath){
		this.config_path = cpath;
		
		PropertiesCreator pc = new PropertiesCreator(this.config_path);
//		pc.createConfigFolder();
		
		config_directory = new File(pc.getRootName());
	}
	
	public void removeConfigDirectory(){
		deleteDirectory(config_directory);
	}
	
	public void deleteDirectory(File dir) {
		 if (dir.isDirectory()) {
	            String[] children = dir.list();
	            for (int i=0; i<children.length; i++) {
	                deleteDirectory(new File(dir, children[i]));
	            }
	        }
	        dir.delete();
	}

}
