package model.diff.parser;

import java.util.List;

public class Change {
	
	
	private String parent;
	private String child;
	private List<String> attrs;
	private String relation; // coll, cont, real, asso, gene 
	private int changeType; // insert 1, delete 2, change 4, move 8, propagated change 16
	
	public Change( int ch, String name1, String name2, String r){
		this.parent = name1;
		this.child = name2;
		this.relation = r;
		this.changeType = ch;
	}
	
	public void setAttributes(List<String> a){
		this.attrs = a;
	}
	
	public List<String> getAttributes(){
		return this.attrs;
	}
	
	public String getChild(){
		return this.child;
	}
	
	public String getParent(){
		return this.parent;
	}
	
	public int getChangeType(){
		return changeType;
	}
	
	public String getRelation(){
		//add switch to convert to int;
		return this.relation;
	}

}
