function displaySwap(callerID)
{
	//Declare variables
	var callerElement = document.getElementById(callerID);
	var swapID = callerElement.getAttribute("swapID");
	var swapElement = document.getElementById(swapID);

	//Create the style attribute
	var newAttr = document.createAttribute("style");
	newAttr.nodeValue = "background-color: #339999; border: thin solid #FF0000";
	swapElement.setAttributeNode(newAttr);
	var newAttr2 = document.createAttribute("style");
	newAttr2.nodeValue = "background-color: #339999; border: thin solid #FF0000";
	callerElement.setAttributeNode(newAttr2);
}

function hideSwap(callerID)
{
	//Declare variables
	var callerElement = document.getElementById(callerID);
	var swapID = callerElement.getAttribute("swapID");
	var swapElement = document.getElementById(swapID);

	//Removing the style tag to return to normal
	swapElement.removeAttribute("style");
	callerElement.removeAttribute("style");
}


function displayMove(manipulateID, displayHTML)
{
	//Declare variables
	var text = displayHTML;
	var manipulateElement = document.getElementById(manipulateID);

	//Change the innerHTML	
	manipulateElement.innerHTML = text;
	
	//Create the style attribute
	var newAttr = document.createAttribute("style");
	newAttr.nodeValue = "background-color: #00FF00; border: thin solid #FF0000";
	manipulateElement.setAttributeNode(newAttr);
}

function hideMove(manipulateID)
{
	//Declare variables
	var manipulateElement = document.getElementById(manipulateID);

	//Removing the style tag to return to normal
	manipulateElement.removeAttribute("style");

	//Clear the innerHTML
	manipulateElement.innerHTML = "";
}