package generator.xml;

import gr.uom.java.xmi.FieldAccess;
import gr.uom.java.xmi.MethodCall;
import gr.uom.java.xmi.UMLAttribute;
import gr.uom.java.xmi.UMLOperation;

import java.util.Comparator;

public class NameComparator implements Comparator {

	public int compare(Object o1, Object o2) {
		
		if (o1 instanceof UMLOperation){
			UMLOperation op1 = (UMLOperation)o1;
			UMLOperation op2 = (UMLOperation)o2;
			if(op1.getName().compareTo(op2.getName()) == 0) {
				if(op1.getParameters().size() == op2.getParameters().size()) {
					return op1.getQualifiedName().compareTo(op2.getQualifiedName());
				}
				else if(op1.getParameters().size() > op2.getParameters().size()){
					return -1;
				}
				else {
					return 1;
				}
			}
			else {
				return op1.getName().compareTo(op2.getName());
			}
			/*String str1 = ((UMLOperation) o1).getQualifiedName();
			String str2 = ((UMLOperation) o2).getQualifiedName();
			
			return str1.compareTo(str2);
			//return  ((UMLOperation) o1).compareTo(((UMLOperation) o2));*/
			}
		else if (o1 instanceof UMLAttribute){
//			String str1 = ((UMLAttribute) o1).getName();
//			String str2 = ((UMLAttribute) o2).getName();
			
			//return str1.compareTo(str2);
			return ((UMLAttribute) o1).compareTo((UMLAttribute) o2);
		}
		else{
			String str1 ="", str2 = "";
				if (o1 instanceof FieldAccess) str1 = ((FieldAccess) o1).getFieldName();
				if (o2 instanceof FieldAccess) str2 = ((FieldAccess) o2).getFieldName();
				if (o1 instanceof MethodCall) str1 = ((MethodCall) o1).getMethodName();
				if (o2 instanceof MethodCall) str2 = ((MethodCall) o2).getMethodName();
			//AccessedMember am1 = null, am2 = null;
			
			/*if (o1 instanceof FieldAccess) am1 = ((FieldAccess) o1);
			if (o2 instanceof FieldAccess) am2 = ((FieldAccess) o2);
			if (o1 instanceof MethodCall) am1 = ((MethodCall) o1);
			if (o2 instanceof MethodCall) am2 = ((MethodCall) o2);*/
				
			return str1.compareTo(str2);
			//return am1.compareTo(am2);
			
		}
		
	}

}
